﻿------------------------------------------------------------------------------------------
--Setup the Class Power-------------------------------------------------------------------
------------------------------------------------------------------------------------------
local SN, L, F, T, LSM, _ = unpack(select(2,...))

function SN:ClassPower()
	if F.classpower ~= nil then return end

	local SNd = SN.data.profile
	F.classpower = CreateFrame("Frame", nil, UIParent)
	F.classpower:SetPoint(unpack(SNd.Frames.classpower))
	F.classpower:SetSize(269, 16)
	F.classpower.frame = {}

	F.classpower.value = F.classpower:CreateFontString(nil, "OVERLAY")
	F.classpower.value:SetPoint("CENTER", F.classpower, "CENTER", 4, 0)
	F.classpower.value:SetFontObject(GameFontNormal)
	F.classpower.value:SetJustifyH("CENTER")
	F.classpower.value:SetShadowOffset(1, -1)

	SN:SetupRunes()
	SN:SetupCombo()
	SN:SetupHoly()
	SN:SetupEclipse()

end

function SN:ClassEnable()
	SN:ClassPower()
end

function SN:ClassDisable()
	F.runes:UnregisterAllEvents()
	F.runes = nil
	F.points:UnregisterAllEvents()
	F.points = nil
	F.holypower:UnregisterAllEvents()
	F.holypower = nil
	F.eclipse:UnregisterAllEvents()
	F.eclipse = nil
	F.classpower = nil
end