﻿------------------------------------------------------------------------------------------
--Combat Functions------------------------------------------------------------------------
------------------------------------------------------------------------------------------
local RaidMembers = {}
local SN, L, F, T, LSM, _ = unpack(select(2,...))
local GetNumGroupMembers = GetNumGroupMembers
local IsInInstance = IsInInstance
local UnitAffectingCombat = UnitAffectingCombat
local UnitIsDeadOrGhost = UnitIsDeadOrGhost

function SN:StartFight()
	local groupType
	local inInstance, instanceType = IsInInstance()
	if inInstance and instanceType == "raid" or "party" then
		wipe(RaidMembers)
		if GetNumGroupMembers() > 6 then
			groupType = "raid"
		elseif GetNumGroupMembers() > 1 and GetNumGroupMembers() < 6 then
			groupType = "party"
		end

		for i = 1, GetNumGroupMembers(), 1 do
			local pos = #RaidMembers + 1
			RaidMembers[pos] = UnitName(groupType..i)
		end
	end
end

--Let's see if it's a wipe
function SN:CheckForWipe()
	local wipe = true
	local groupType = "party"
	if GetNumGroupMembers() > 6 then
		groupType = "raid"
	elseif GetNumGroupMembers() > 1 and GetNumGroupMembers() < 6 then
		groupType = "party"
	end
	if UnitIsDead("boss1") then
		wipe = false
	end
	if groupType ~= nil then 
		for i = 1, GetNumGroupMembers(), 1 do
			if UnitAffectingCombat(groupType..i) == 1 and UnitIsDeadOrGhost(groupType..i) ~= 1 then
				wipe = false
				break
			end
		end
		return wipe
	elseif groupType == nil then
		wipe = false
		return wipe
	end
end
